.modal {
  width: 100vw;
  height: 100vh;
  background: rgba(0,0,0, 0.4);
  position: fixed;
  top: 0;
  left: 0;

  display: flex;
  align-items: center;
  justify-content: center;
  pointer-events: none;
  transition: 0.5s;
  opacity: 0;
  z-index: -1;
  &__container {
    padding: 15px;
    border-radius: 12px;
    background-color: #fff;
    opacity: 0;
    transition: 0.5s;
    width: 520px;
    & h3{
      font-size: 30px;
    }
  }

  &__header{
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  &__body {
    text-align: left;
  }
  &__close-btn{
    background: #919191;
  }
  &__footer {
    text-align: center;
  }
}

.active {
  pointer-events: all;
  opacity: 1;
  z-index: 1;
}